source: branches/fc17-dev/server/fedora/specs/rubygems.spec.patch @ 2195

Last change on this file since 2195 was 2195, checked in by ezyang, 10 years ago
Merge changes from trunk.
File size: 907 bytes
  • rubygems.spec

    old new  
    1515Summary:        The Ruby standard for packaging ruby libraries
    1616Name:           rubygems
    1717Version:        1.7.2
    18 Release:        5%{?dist}
     18Release:        5%{?dist}.scripts.%{scriptsversion}
    1919Group:          Development/Libraries
    2020# No GPL version is specified.
    2121License:        Ruby or GPL+
     
    4242# Insecure connection to SSL repository fix
    4343Patch10:        rubygems-1.x.x-ssl-connection-don_t-revert.patch
    4444
     45Provides: scripts-rubygems = %{version}-%{release}
     46Patch1000: rubygems-rails-require-thread.patch
     47
    4548Requires:       ruby(abi) = 1.8
    4649Requires:       ruby >= 1.8.7
    4750Requires:       ruby-rdoc
     
    8386%patch7 -p1 -b .esc.skip
    8487%patch10 -p1 -b .ssl
    8588
     89%patch1000 -p1 -b .thread
     90
    8691# Some of the library files start with #! which rpmlint doesn't like
    8792# and doesn't make much sense
    8893for f in `find lib -name \*.rb` ; do
Note: See TracBrowser for help on using the repository browser.